from django.conf import settings

USERWARE_RESERVED_USERNAMES = list(
    # company names
    'company companies github twitter facebook google apple msn cnn bbc flickr '

    # Country TLDs ISO2
    'ac ad ae af ag ai al am an ao aq ar as at au aw ax az ba bb bd be bf bg bh '
    'bi bj bm bn bo br bs bt bv bw by bz ca cc cd cf cg ch ci ck cl cm cn co cr '
    'cs cu cv cx cy cz dd de dj dk dm do dz ec ee eg eh er es et eu fi fj fk fm '
    'fo fr ga gb gd ge gf gg gh gi gl gm gn gp gq gr gs gt gu gw gy hk hm hn hr '
    'ht hu id ie il im in io iq ir is it je jm jo jp ke kg kh ki km kn kp kr kw '
    'ky kz la lb lc li lk lr ls lt lu lv ly ma mc md me mg mh mk ml mm mn mo mp '
    'mq mr ms mt mu mv mw mx my mz na nc ne nf ng ni nl no np nr nu nz om pa pe '
    'pf pg ph pk pl pm pn pr ps pt pw py qa re ro rs ru rw sa sb sc sd se sg sh '
    'si sj sk sl sm sn so sr ss st su sv sy sz tc td tf tg th tj tk tl tm tn to '
    'tp tr tt tv tw tz ua ug uk us uy uz va vc ve vg vi vn vu wf ws ye yt yu za '
    'zm zw '

    # Language ISO
    'AA AB AF AM AR AS AY AZ BA BE BG BH BI BN BO BR CA CO CS CY DA DE DZ EL EN '
    'EO ES ET EU FA FI FJ FO FR FY GA GD GL GN GU HA HI HR HU HY IA IE IK IN IS '
    'IT IW JA JI JW KA KK KL KM KN KO KS KU KY LA LN LO LT LV MG MI MK ML MN MO '
    'MR MS MT MY NA NE NL NO OC OM OR '

    # Languages
    'Afar Abkhazian Afrikaans Amharic Arabic Assamese Aymara Azerbaijani Bashkir '
    'Byelorussian Bulgarian Bihari Bislama Bengali Bangla Tibetan Breton Catalan '
    'Corsican Czech Welsh Danish German Bhutani Greek English American Esperanto '
    'Spanish Estonian Basque Persian Finnish Fiji Faeroese French Frisian Irish '
    'Gaelic Scots Gaelic Galician Guarani Gujarati Hausa Hindi Croatian Hungarian '
    'Armenian Interlingua Interlingue Inupiak Indonesian Icelandic Italian Hebrew '
    'Japanese Yiddish Javanese Georgian Kazakh Greenlandic Cambodian Kannada Korean '
    'Kashmiri Kurdish Kirghiz Latin Lingala Laothian Lithuanian Latvian  Lettish '
    'Malagasy Maori Macedonian Malayalam Mongolian Moldavian Marathi Malay Maltese '
    'Burmese Nauru Nepali Dutch Norwegian Occitan Oromo  Afan Oriya Punjabi Polish '
    'Pashto  Pushto Portuguese Quechua Rhaeto-Romance Kirundi Romanian Russian '
    'Kinyarwanda Sanskrit Sindhi Sangro Serbo-Croatian Singhalese Slovak Slovenian '
    'Samoan Shona Somali Albanian Serbian Siswati Sesotho Sudanese Swedish Swahili '
    'Tamil Tegulu Tajik Thai Tigrinya Turkmen Tagalog '

    # Web Generic Keywords
    'about account activate add admin administrator api app apps archive archives stats'
    'auth blog cache cancel careers cart changelog checkout codereview compare '
    'config configuration connect contact create delete direct_messages documentation '
    'download downloads edit email employment enterprise faq favorites feed feedback '
    'feeds fleet fleets follow followers following friend friends gist group groups '
    'help home hosting hostmaster idea ideas index info invitations invite is it job '
    'jobs json language languages lists login logout logs mail map maps mine mis news '
    'oauth oauth_clients offers openid order orders organizations plans popular post '
    'postmaster privacy projects put recruitment register remove replies root rss sales '
    'save search security sessions settings shop signup sitemap ssl ssladmin '
    'ssladministrator sslwebmaster status stories styleguide subscribe subscriptions '
    'support sysadmin sysadministrator terms tour translations trends unfollow unsubscribe '
    'update url user weather webmaster widget widgets wiki ww www wwww xfn xml xmpp yaml yml '
    'manage smtp pop manager owner secure ftp discussion features test xmlrpc web pop3 atom '
    'complaints information imap forum weblog team forum features discussion skills tags '
    'ajax comet poll polling filter zoom machinetags django people profiles profile person '
    'navigate nav browse  static css img javascript js code flags flag country countries'
    'thereyet  region place places photos owner upload geocode geocoding openids  recover '
    'lost reports report  upcoming mashups recent irc bulletin bulletins messages message admin '
    'newsfeed events active forum faq you me us his her theirs yours your avatar gravatar'

    # Forbidden words
    'porn fuck shit xxx cunt pr0n abuse pussy dick penis pee piss urinate'
    .split()
)

USERWARE_PASSWORD_MIN_LENGTH = getattr(settings, 'USERWARE_PASSWORD_MIN_LENGTH', 6)

USERWARE_USERNAME_MIN_LENGTH = getattr(settings, 'USERWARE_USERNAME_MIN_LENGTH', 2)
USERWARE_RESERVED_USERNAMES = getattr(settings, 'USERWARE_RESERVED_USERNAMES', USERWARE_RESERVED_USERNAMES)

LOGIN_REDIRECT_URL = getattr(settings, 'LOGIN_REDIRECT_URL', '/')
LOGOUT_REDIRECT_URL = getattr(settings, 'LOGOUT_REDIRECT_URL', '/')

USERWARE_TEMPLATE_BASE_DIR = getattr(settings, 'USERWARE_TEMPLATE_BASE_DIR', 'user')

USERWARE_SUPERUSER_ID = getattr(settings, 'USERWARE_SUPERUSER_ID', 4455654)

USERWARE_SESSION_LOGOUT_ENFORCED = 'USERWARE_SESSION_LOGOUT_ENFORCED'

USERWARE_SWTICHED_USER_KEY = 'switched_username'

USERWARE_REGISTER_ADMIN = getattr(settings, 'USERWARE_REGISTER_ADMIN', False)
USERWARE_REGISTER_DB_SESSION_ADMIN = getattr(settings, 'USERWARE_REGISTER_DB_SESSION_ADMIN', False)
